// @ myth - client - help.C
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk

// @@ include

#include "client/help.h"
#include "common/error.h"
#include "common/parse.h"
#include "common/format.h"

// @@ HELP

// @@@ void HELP::select(request_type type)

PAGE* HELP::select(request_type type)
{
    page[type].reset();
    return &page[type];
}

// @@@ HELP::HELP(STRING name)

HELP::HELP(STRING name)
{
    PARSE parse(name);
    
    if(parse.LookAhead(INPUT_COMMENT))
	parse.skip(INPUT_COMMENT);
    
    while(parse.good())
    {
	request_type type = RequestToType(parse.GetLine());

	if(parse.LookAhead(INPUT_COMMENT))
	    parse.skip(INPUT_COMMENT);

	while(parse.good() && parse.LookAhead(">"))
	{
	    parse.skip(">");
	    page[type].append(parse.GetLine());
	}
	if(parse.LookAhead(INPUT_COMMENT))
	    parse.skip(INPUT_COMMENT);
    }
    if(!parse.eof())
	bug.error("HELP::HELP", format("failed to parse `%s'", name()));
}

// @@@ HELP help

HELP help(format("%s/%s/%s", HomeDirectory, LibraryDirectory, "HELP"));

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
