// @ myth - client - news.h
//
// Myth is a multiuser screen oriented adventure game.
// Copyright (C) 1989 Per Abrahamsen
// 
// This file is part of Myth.
// 
// Myth is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 1, or (at your option) any later
// version.
// 
// Myth is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Myth; see the file COPYING.  If not, write to the Free
// Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
// My email address is: amanda@iesd.auc.dk

// @@ begin

#ifndef NEWS_HEADER
#define NEWS_HEADER

// @@ include

#include "client/window.h"
#include "common/page.h"

// @@ NEWS

class NEWS : WINDOW
{
    PAGE page;			// Contain all news messages.
    int unread;			// First unread news message.
    int current;		// Current line to be displayed.
    bool touched;		// True iff news display is changed.
    void display(int line);
public:
    void insert(const char* message);
    void insert(STRING string);
    void up(int arg);
    void down(int arg);
    void read();
    void update(force flag);
    inline bool status()
    { return page.length() > unread; }
    NEWS();
};

// @@ end

#endif NEWS_HEADER

// @@ emacs
//
// Local Variables:
// mode: c++
// outline-regexp: "// @+ "
// eval: (outline-minor-mode 1)
// End:
